/************************************************************************

    Quick And Dirty Apricot Emulator

    Copyright (C) 2005-6  John Elliott <jce@seasip.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*************************************************************************/

class UiFileEntry : public UiCommand 
{
private:
#ifdef HAVE_WINDOWS_H
	WIN32_FIND_DATA m_st;
#else
	struct stat m_st;
#endif
	bool	m_statted;
	string  m_filename;
	string	m_dirname;
public:
	UiFileEntry(string filename, string dirname, UiDrawer *d);
	virtual ~UiFileEntry();

	virtual void draw(int selected);
	inline string getFilename() { return m_filename; }
#ifdef HAVE_WINDOWS_H
	WIN32_FIND_DATA &stat(void);
#else
	struct stat &stat(void);
#endif
};




