/*************************************************************************
 
    Quick And Dirty Apricot Emulator
    Copyright (C) 2005-7  John Elliott <jce@seasip.demon.co.uk>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*************************************************************************/

#ifndef WINCHESTER_HXX
#define WINCHESTER_HXX 1

#define MAX_WINCHESTERS 2

class Winchester : public Device
{
public:
	Winchester::Winchester(PC_ENV *m);
	virtual ~Winchester();

	virtual void reset();

	u_int8 read(u_int16 port);
	void write(u_int16 port, u_int8 value);

	virtual bool parseNode(xmlDoc *doc, xmlNs *ns, xmlNode *node);
	virtual bool storeNode(xmlDoc *doc, xmlNs *ns, xmlNode *node);
private:
	PC_ENV *m_host;
};

#endif // ndef WINCHESTER_HXX

